replace icon-fav with icon-user for 'my projects'

2019-05-13 11:03 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Related issues:

Related to Redmine - Feature #31355: Bookmarks and recently used projects for... Closed

Associated revisions

Revision 18164 - 2019-05-14 11:26 - Go MAEDA

Swaps out the icon-fav for icon-user on projects#index (#31356).

Patch by Jens Krämer.

History

#1 - 2019-05-13 11:07 - Jens Krämer

- File 0001-feature-my-projects-fav-user-icon.patch added

While working on #31355 we (Planio, that is) found that using the fav icon that is also used for watching things is not really appropriate for designating

projects the user is a member of. We'd vote for replacing this with the user icon instead on the All projects list, which is what the attached patch does.

#2 - 2019-05-13 11:24 - Go MAEDA

- File 31356-before@2x.png added

- File 31356-after@2x.png added

- Target version set to Candidate for next major release

[Before]

 

[After]
#3 - 2019-05-13 11:25 - Go MAEDA

- Related to Feature #31355: Bookmarks and recently used projects for the project jump box added

#4 - 2019-05-13 13:29 - Jens Krämer

- File 0001-swaps-out-the-icon-fav-for-icon-user-on-projects-ind.patch added

updated patch that keeps the icon positioning at the end of the project name

#5 - 2019-05-14 02:20 - Go MAEDA

- Category set to Projects

- Target version changed from Candidate for next major release to 4.1.0

I am in favor of this change.

The current "My project" icon "★" is used as a "Watch" icon in other pages. Therefore, it looks as if those are watched projects (some notifications are

sent).

Since "My projects" means "the projects I am a member of", I think that using "icon-user" is reasonable.

Setting the target version to 4.1.0.

#6 - 2019-05-14 07:36 - Marius BĂLTEANU

I'm in favour too.

#7 - 2019-05-14 11:27 - Go MAEDA

- Subject changed from replace icon-fav with icon-user for 'my projects to replace icon-fav with icon-user for 'my projects'

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thanks.
